optionsEditor.item.Debugger.view.UI = treeTableNodeUI
optionsEditor.item.Debugger.view.expandLevel = 1
optionsEditor.item.Debugger.condition = !isPlugin() && isGlobalOptions() && isFeatureEnabledByWorkspace("Options.Debugger")
optionsEditor.item.Debugger.view.description=["debugger/debugger_description"]


compilebeforedebug.enabled = true
optionsEditor.item.Debugger.item.Compile before debugging.name = ["debugger/compilebefore"]
optionsEditor.item.Debugger.item.Compile before debugging = BooleanField
optionsEditor.item.Debugger.item.Compile before debugging.propertyName = compilebeforedebug.enabled
optionsEditor.item.Debugger.item.Compile before debugging.order = 5
optionsEditor.item.Debugger.item.Compile before debugging.view.description=["debugger/compilebefore_description"]

optionsEditor.item.Debugger.item.Smart Step.name = ["debugger/smartstep"]
optionsEditor.item.Debugger.item.Smart Step.order = 10
optionsEditor.item.Debugger.item.Smart Step.view.description=["debugger/smartstep_description"]

smartstep.skipsynthetic = true
optionsEditor.item.Debugger.item.Smart Step.item.Skip synthetic methods.name = ["debugger/skipsynthetic"]
optionsEditor.item.Debugger.item.Smart Step.item.Skip synthetic methods = BooleanField
optionsEditor.item.Debugger.item.Smart Step.item.Skip synthetic methods.propertyName = smartstep.skipsynthetic
optionsEditor.item.Debugger.item.Smart Step.item.Skip synthetic methods.order = 20
optionsEditor.item.Debugger.item.Smart Step.item.Skip synthetic methods.view.description=["debugger/skipsynthetic_description"]

smartstep.skipconstr = true
optionsEditor.item.Debugger.item.Smart Step.item.Skip constructors.name = ["debugger/skipconstr"]
optionsEditor.item.Debugger.item.Smart Step.item.Skip constructors = BooleanField
optionsEditor.item.Debugger.item.Smart Step.item.Skip constructors.propertyName = smartstep.skipconstr
optionsEditor.item.Debugger.item.Smart Step.item.Skip constructors.order = 30
optionsEditor.item.Debugger.item.Smart Step.item.Skip constructors.view.description=["debugger/skipconstr_description"]

smartstep.skipstatic = true
optionsEditor.item.Debugger.item.Smart Step.item.Skip static initializers.name = ["debugger/skipstatic"]
optionsEditor.item.Debugger.item.Smart Step.item.Skip static initializers = BooleanField
optionsEditor.item.Debugger.item.Smart Step.item.Skip static initializers.propertyName = smartstep.skipstatic
optionsEditor.item.Debugger.item.Smart Step.item.Skip static initializers.order = 40
optionsEditor.item.Debugger.item.Smart Step.item.Skip static initializers.view.description=["debugger/skipstatic_description"]

optionsEditor.item.Debugger.item.Arguments.name = ["debugger/arguments"]
optionsEditor.item.Debugger.item.Arguments.order = 100
optionsEditor.item.Debugger.item.Arguments.view.description=["debugger/arguments_description"]

optionsEditor.item.Debugger.item.Arguments.item.Application.name = ["debugger/applic_arguments"]
optionsEditor.item.Debugger.item.Arguments.item.Application.order = 105
optionsEditor.item.Debugger.item.Arguments.item.Application.view.description=["debugger/applic_arguments_description"]

arguments.applic_mainclass = 
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_mainclass.name = ["debugger/applic_mainclass"]
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_mainclass = StringField
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_mainclass.propertyName = arguments.applic_mainclass
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_mainclass.order = 110
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_mainclass.view.description = ["debugger/applic_mainclass_description"]

arguments.applic_prgargs = 
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_prgargs.name = ["debugger/applic_prgargs"]
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_prgargs = StringField
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_prgargs.propertyName = arguments.applic_prgargs
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_prgargs.order = 115
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_prgargs.view.description = ["debugger/applic_prgargs_description"]

arguments.applic_vmoptions = -classic
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_vmoptions.name = ["debugger/applic_vmoptions"]
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_vmoptions = StringField
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_vmoptions.propertyName = arguments.applic_vmoptions
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_vmoptions.order = 120
optionsEditor.item.Debugger.item.Arguments.item.Application.item.applic_vmoptions.view.description = ["debugger/applic_vmoptions_description"]

optionsEditor.item.Debugger.item.Arguments.item.Applet.name = ["debugger/applet_arguments"]
optionsEditor.item.Debugger.item.Arguments.item.Applet.order = 140
optionsEditor.item.Debugger.item.Arguments.item.Applet.view.description=["debugger/applet_arguments_description"]

arguments.applet_mainclass = 
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_mainclass.name = ["debugger/applet_mainclass"]
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_mainclass = StringField
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_mainclass.propertyName = arguments.applet_mainclass
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_mainclass.order = 145
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_mainclass.view.description = ["debugger/applet_mainclass_description"]

arguments.applet_prgargs = 
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_prgargs.name = ["debugger/applet_prgargs"]
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_prgargs = StringField
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_prgargs.propertyName = arguments.applet_prgargs
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_prgargs.order = 150
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_prgargs.view.description = ["debugger/applet_prgargs_description"]

arguments.applet_vmoptions = -classic
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_vmoptions.name = ["debugger/applet_vmoptions"]
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_vmoptions = StringField
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_vmoptions.propertyName = arguments.applet_vmoptions
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_vmoptions.order = 155
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_vmoptions.view.description = ["debugger/applet_vmoptions_description"]

arguments.applet_width = 300
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_width.name = ["debugger/applet_width"]
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_width = IntField
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_width.propertyName = arguments.applet_width
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_width.order = 160
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_width.view.description = ["debugger/applet_width_description"]

arguments.applet_height = 300
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_height.name = ["debugger/applet_height"]
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_height = IntField
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_height.propertyName = arguments.applet_height
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_height.order = 165
optionsEditor.item.Debugger.item.Arguments.item.Applet.item.applet_height.view.description = ["debugger/applet_height_description"]

arguments.isapplet = false
optionsEditor.item.Debugger.item.Arguments.item.isapplet.name = ["debugger/isapplet"]
optionsEditor.item.Debugger.item.Arguments.item.isapplet = BooleanField
optionsEditor.item.Debugger.item.Arguments.item.isapplet.propertyName = arguments.isapplet
optionsEditor.item.Debugger.item.Arguments.item.isapplet.order = 190
optionsEditor.item.Debugger.item.Arguments.item.isapplet.view.description = ["debugger/isapplet_description"]
arguments.askbeforedebug = true
optionsEditor.item.Debugger.item.Arguments.item.askbeforedebug.name = ["debugger/askbeforedebug"]
optionsEditor.item.Debugger.item.Arguments.item.askbeforedebug = BooleanField
optionsEditor.item.Debugger.item.Arguments.item.askbeforedebug.propertyName = arguments.askbeforedebug
optionsEditor.item.Debugger.item.Arguments.item.askbeforedebug.order = 195
optionsEditor.item.Debugger.item.Arguments.item.askbeforedebug.view.description = ["debugger/askbeforedebug_description"]
optionsEditor.item.Debugger.item.Remote debug.name = ["debugger/remote"]
optionsEditor.item.Debugger.item.Remote debug.order = 200
optionsEditor.item.Debugger.item.Remote debug.view.description = ["debugger/remote_description"]

remotedebug.host = localHost
optionsEditor.item.Debugger.item.Remote debug.item.host.name = ["debugger/remotehost"]
optionsEditor.item.Debugger.item.Remote debug.item.host = StringField
optionsEditor.item.Debugger.item.Remote debug.item.host.propertyName = remotedebug.host
optionsEditor.item.Debugger.item.Remote debug.item.host.order = 210
optionsEditor.item.Debugger.item.Remote debug.item.host.view.description = ["debugger/remotehost_description"]

remotedebug.protocol = dt_socket
optionsEditor.item.Debugger.item.Remote debug.item.protocol.name = ["debugger/remoteprotocol"]
optionsEditor.item.Debugger.item.Remote debug.item.protocol = StringField
optionsEditor.item.Debugger.item.Remote debug.item.protocol.propertyName = remotedebug.protocol
optionsEditor.item.Debugger.item.Remote debug.item.protocol.order = 220
optionsEditor.item.Debugger.item.Remote debug.item.protocol.view.description = ["debugger/remoteprotocol_description"]

remotedebug.address = 8787
optionsEditor.item.Debugger.item.Remote debug.item.address.name = ["debugger/remoteaddress"]
optionsEditor.item.Debugger.item.Remote debug.item.address = StringField
optionsEditor.item.Debugger.item.Remote debug.item.address.propertyName = remotedebug.address
optionsEditor.item.Debugger.item.Remote debug.item.address.order = 230
optionsEditor.item.Debugger.item.Remote debug.item.address.view.description = ["debugger/remoteaddress_description"]

showindiagram.enabled = false
optionsEditor.item.Debugger.item.Show in diagram.name = ["debugger/showindiagram"]
optionsEditor.item.Debugger.item.Show in diagram = BooleanField
optionsEditor.item.Debugger.item.Show in diagram.propertyName = showindiagram.enabled
optionsEditor.item.Debugger.item.Show in diagram.order = 300
optionsEditor.item.Debugger.item.Show in diagram.view.description=["debugger/showindiagram_description"]

showcomplextip.enabled = true
optionsEditor.item.Debugger.item.Show complex tip.name = ["debugger/showcomplextip"]
optionsEditor.item.Debugger.item.Show complex tip = BooleanField
optionsEditor.item.Debugger.item.Show complex tip.propertyName = showcomplextip.enabled
optionsEditor.item.Debugger.item.Show complex tip.order = 400
optionsEditor.item.Debugger.item.Show complex tip.view.description=["debugger/showcomplextip_description"]

